# Contributor Code of Conduct

## Our Pledge

We, as contributors and maintainers of the `gediDB` project, pledge to create an open, welcoming, and inclusive environment where everyone can contribute and collaborate effectively, regardless of their background or identity.

## Our Standards

Examples of behavior that contribute to a positive environment include:

- Using inclusive and respectful language.
- Being considerate of differing viewpoints and experiences.
- Gracefully accepting constructive criticism.
- Focusing on the project's needs and goals over personal preferences.
- Showing empathy and kindness to other contributors.

Examples of unacceptable behavior include:

- The use of sexualized language or imagery, and unwelcome advances.
- Personal attacks, insults, or derogatory comments.
- Public or private harassment.
- Publishing others' private information without explicit permission.
- Any other conduct which could reasonably be considered inappropriate or unprofessional.

## Our Responsibilities

Project maintainers are responsible for upholding these standards and have the right to remove, edit, or reject contributions that do not align with this code of conduct. They may also temporarily or permanently ban any contributor for unacceptable behavior.

## Scope

This code of conduct applies to all project spaces, including repositories, issue trackers, pull requests, and community forums. It also extends to public spaces where an individual is representing the project or its community.

## Enforcement

Instances of abusive, harassing, or otherwise unacceptable behavior may be reported by contacting the project team at besnard@gfz.de. All complaints will be reviewed and investigated promptly and fairly, respecting the confidentiality of the reporter.

Project maintainers who do not follow or enforce this code of conduct in good faith may face temporary or permanent repercussions.

## Attribution

This Code of Conduct is adapted from the [Contributor Covenant](https://www.contributor-covenant.org), version 2.1, available [here](https://www.contributor-covenant.org/version/2/1/code_of_conduct.html).

---

For questions or feedback regarding this Code of Conduct, please reach out to the project maintainers at besnard@gfz.de.
